## org.eclipse.emf.ocl.types.impl
Class TypesPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.ocl.types.impl.TypesPackageImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, EPackage, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder, TypesPackage

    public class TypesPackageImpl

extends EPackageImpl
implements TypesPackage

An implementation of the model Package .

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ocl.types.TypesPackage
`TypesPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`static String` `copyright`

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ocl.types.TypesPackage

`ANY_TYPE, ANY_TYPE__DEFAULT_VALUE, ANY_TYPE__EANNOTATIONS, ANY_TYPE__EPACKAGE, ANY_TYPE__ETYPE_PARAMETERS, ANY_TYPE__INSTANCE_CLASS, ANY_TYPE__INSTANCE_CLASS_NAME, ANY_TYPE__INSTANCE_TYPE_NAME, ANY_TYPE__NAME, ANY_TYPE_FEATURE_COUNT, BAG_TYPE, BAG_TYPE__DEFAULT_VALUE, BAG_TYPE__EANNOTATIONS, BAG_TYPE__ELEMENT_TYPE, BAG_TYPE__END_POSITION, BAG_TYPE__EPACKAGE, BAG_TYPE__ETYPE_PARAMETERS, BAG_TYPE__INSTANCE_CLASS, BAG_TYPE__INSTANCE_CLASS_NAME, BAG_TYPE__INSTANCE_TYPE_NAME, BAG_TYPE__KIND, BAG_TYPE__NAME, BAG_TYPE__SERIALIZABLE, BAG_TYPE__START_POSITION, BAG_TYPE__TYPE_END_POSITION, BAG_TYPE__TYPE_START_POSITION, BAG_TYPE_FEATURE_COUNT, COLLECTION_TYPE, COLLECTION_TYPE__DEFAULT_VALUE, COLLECTION_TYPE__EANNOTATIONS, COLLECTION_TYPE__ELEMENT_TYPE, COLLECTION_TYPE__END_POSITION, COLLECTION_TYPE__EPACKAGE, COLLECTION_TYPE__ETYPE_PARAMETERS, COLLECTION_TYPE__INSTANCE_CLASS, COLLECTION_TYPE__INSTANCE_CLASS_NAME, COLLECTION_TYPE__INSTANCE_TYPE_NAME, COLLECTION_TYPE__KIND, COLLECTION_TYPE__NAME, COLLECTION_TYPE__SERIALIZABLE, COLLECTION_TYPE__START_POSITION, COLLECTION_TYPE__TYPE_END_POSITION, COLLECTION_TYPE__TYPE_START_POSITION, COLLECTION_TYPE_FEATURE_COUNT, eINSTANCE, ELEMENT_TYPE, ELEMENT_TYPE__ABSTRACT, ELEMENT_TYPE__DEFAULT_VALUE, ELEMENT_TYPE__EALL_ATTRIBUTES, ELEMENT_TYPE__EALL_CONTAINMENTS, ELEMENT_TYPE__EALL_GENERIC_SUPER_TYPES, ELEMENT_TYPE__EALL_OPERATIONS, ELEMENT_TYPE__EALL_REFERENCES, ELEMENT_TYPE__EALL_STRUCTURAL_FEATURES, ELEMENT_TYPE__EALL_SUPER_TYPES, ELEMENT_TYPE__EANNOTATIONS, ELEMENT_TYPE__EATTRIBUTES, ELEMENT_TYPE__EGENERIC_SUPER_TYPES, ELEMENT_TYPE__EID_ATTRIBUTE, ELEMENT_TYPE__EOPERATIONS, ELEMENT_TYPE__EPACKAGE, ELEMENT_TYPE__EREFERENCES, ELEMENT_TYPE__ESTRUCTURAL_FEATURES, ELEMENT_TYPE__ESUPER_TYPES, ELEMENT_TYPE__ETYPE_PARAMETERS, ELEMENT_TYPE__INSTANCE_CLASS, ELEMENT_TYPE__INSTANCE_CLASS_NAME, ELEMENT_TYPE__INSTANCE_TYPE_NAME, ELEMENT_TYPE__INTERFACE, ELEMENT_TYPE__NAME, ELEMENT_TYPE_FEATURE_COUNT, eNAME, eNS_PREFIX, eNS_URI, INVALID_TYPE, INVALID_TYPE__DEFAULT_VALUE, INVALID_TYPE__EANNOTATIONS, INVALID_TYPE__EPACKAGE, INVALID_TYPE__ETYPE_PARAMETERS, INVALID_TYPE__INSTANCE_CLASS, INVALID_TYPE__INSTANCE_CLASS_NAME, INVALID_TYPE__INSTANCE_TYPE_NAME, INVALID_TYPE__NAME, INVALID_TYPE_FEATURE_COUNT, MESSAGE_TYPE, MESSAGE_TYPE__ABSTRACT, MESSAGE_TYPE__DEFAULT_VALUE, MESSAGE_TYPE__EALL_ATTRIBUTES, MESSAGE_TYPE__EALL_CONTAINMENTS, MESSAGE_TYPE__EALL_GENERIC_SUPER_TYPES, MESSAGE_TYPE__EALL_OPERATIONS, MESSAGE_TYPE__EALL_REFERENCES, MESSAGE_TYPE__EALL_STRUCTURAL_FEATURES, MESSAGE_TYPE__EALL_SUPER_TYPES, MESSAGE_TYPE__EANNOTATIONS, MESSAGE_TYPE__EATTRIBUTES, MESSAGE_TYPE__EGENERIC_SUPER_TYPES, MESSAGE_TYPE__EID_ATTRIBUTE, MESSAGE_TYPE__EOPERATIONS, MESSAGE_TYPE__EPACKAGE, MESSAGE_TYPE__EREFERENCES, MESSAGE_TYPE__ESTRUCTURAL_FEATURES, MESSAGE_TYPE__ESUPER_TYPES, MESSAGE_TYPE__ETYPE_PARAMETERS, MESSAGE_TYPE__INSTANCE_CLASS, MESSAGE_TYPE__INSTANCE_CLASS_NAME, MESSAGE_TYPE__INSTANCE_TYPE_NAME, MESSAGE_TYPE__INTERFACE, MESSAGE_TYPE__NAME, MESSAGE_TYPE__REFERRED_OPERATION, MESSAGE_TYPE__REFERRED_SIGNAL, MESSAGE_TYPE_FEATURE_COUNT, OCL_STANDARD_LIBRARY, ORDERED_SET_TYPE, ORDERED_SET_TYPE__DEFAULT_VALUE, ORDERED_SET_TYPE__EANNOTATIONS, ORDERED_SET_TYPE__ELEMENT_TYPE, ORDERED_SET_TYPE__END_POSITION, ORDERED_SET_TYPE__EPACKAGE, ORDERED_SET_TYPE__ETYPE_PARAMETERS, ORDERED_SET_TYPE__INSTANCE_CLASS, ORDERED_SET_TYPE__INSTANCE_CLASS_NAME, ORDERED_SET_TYPE__INSTANCE_TYPE_NAME, ORDERED_SET_TYPE__KIND, ORDERED_SET_TYPE__NAME, ORDERED_SET_TYPE__SERIALIZABLE, ORDERED_SET_TYPE__START_POSITION, ORDERED_SET_TYPE__TYPE_END_POSITION, ORDERED_SET_TYPE__TYPE_START_POSITION, ORDERED_SET_TYPE_FEATURE_COUNT, PRIMITIVE_BOOLEAN, PRIMITIVE_BOOLEAN__DEFAULT_VALUE, PRIMITIVE_BOOLEAN__EANNOTATIONS, PRIMITIVE_BOOLEAN__EPACKAGE, PRIMITIVE_BOOLEAN__ETYPE_PARAMETERS, PRIMITIVE_BOOLEAN__INSTANCE_CLASS, PRIMITIVE_BOOLEAN__INSTANCE_CLASS_NAME, PRIMITIVE_BOOLEAN__INSTANCE_TYPE_NAME, PRIMITIVE_BOOLEAN__NAME, PRIMITIVE_BOOLEAN__SERIALIZABLE, PRIMITIVE_BOOLEAN_FEATURE_COUNT, PRIMITIVE_INTEGER, PRIMITIVE_INTEGER__DEFAULT_VALUE, PRIMITIVE_INTEGER__EANNOTATIONS, PRIMITIVE_INTEGER__EPACKAGE, PRIMITIVE_INTEGER__ETYPE_PARAMETERS, PRIMITIVE_INTEGER__INSTANCE_CLASS, PRIMITIVE_INTEGER__INSTANCE_CLASS_NAME, PRIMITIVE_INTEGER__INSTANCE_TYPE_NAME, PRIMITIVE_INTEGER__NAME, PRIMITIVE_INTEGER__SERIALIZABLE, PRIMITIVE_INTEGER_FEATURE_COUNT, PRIMITIVE_REAL, PRIMITIVE_REAL__DEFAULT_VALUE, PRIMITIVE_REAL__EANNOTATIONS, PRIMITIVE_REAL__EPACKAGE, PRIMITIVE_REAL__ETYPE_PARAMETERS, PRIMITIVE_REAL__INSTANCE_CLASS, PRIMITIVE_REAL__INSTANCE_CLASS_NAME, PRIMITIVE_REAL__INSTANCE_TYPE_NAME, PRIMITIVE_REAL__NAME, PRIMITIVE_REAL__SERIALIZABLE, PRIMITIVE_REAL_FEATURE_COUNT, PRIMITIVE_STRING, PRIMITIVE_STRING__DEFAULT_VALUE, PRIMITIVE_STRING__EANNOTATIONS, PRIMITIVE_STRING__EPACKAGE, PRIMITIVE_STRING__ETYPE_PARAMETERS, PRIMITIVE_STRING__INSTANCE_CLASS, PRIMITIVE_STRING__INSTANCE_CLASS_NAME, PRIMITIVE_STRING__INSTANCE_TYPE_NAME, PRIMITIVE_STRING__NAME, PRIMITIVE_STRING__SERIALIZABLE, PRIMITIVE_STRING_FEATURE_COUNT, PRIMITIVE_TYPE, PRIMITIVE_TYPE__DEFAULT_VALUE, PRIMITIVE_TYPE__EANNOTATIONS, PRIMITIVE_TYPE__EPACKAGE, PRIMITIVE_TYPE__ETYPE_PARAMETERS, PRIMITIVE_TYPE__INSTANCE_CLASS, PRIMITIVE_TYPE__INSTANCE_CLASS_NAME, PRIMITIVE_TYPE__INSTANCE_TYPE_NAME, PRIMITIVE_TYPE__NAME, PRIMITIVE_TYPE__SERIALIZABLE, PRIMITIVE_TYPE_FEATURE_COUNT, SEQUENCE_TYPE, SEQUENCE_TYPE__DEFAULT_VALUE, SEQUENCE_TYPE__EANNOTATIONS, SEQUENCE_TYPE__ELEMENT_TYPE, SEQUENCE_TYPE__END_POSITION, SEQUENCE_TYPE__EPACKAGE, SEQUENCE_TYPE__ETYPE_PARAMETERS, SEQUENCE_TYPE__INSTANCE_CLASS, SEQUENCE_TYPE__INSTANCE_CLASS_NAME, SEQUENCE_TYPE__INSTANCE_TYPE_NAME, SEQUENCE_TYPE__KIND, SEQUENCE_TYPE__NAME, SEQUENCE_TYPE__SERIALIZABLE, SEQUENCE_TYPE__START_POSITION, SEQUENCE_TYPE__TYPE_END_POSITION, SEQUENCE_TYPE__TYPE_START_POSITION, SEQUENCE_TYPE_FEATURE_COUNT, SET_TYPE, SET_TYPE__DEFAULT_VALUE, SET_TYPE__EANNOTATIONS, SET_TYPE__ELEMENT_TYPE, SET_TYPE__END_POSITION, SET_TYPE__EPACKAGE, SET_TYPE__ETYPE_PARAMETERS, SET_TYPE__INSTANCE_CLASS, SET_TYPE__INSTANCE_CLASS_NAME, SET_TYPE__INSTANCE_TYPE_NAME, SET_TYPE__KIND, SET_TYPE__NAME, SET_TYPE__SERIALIZABLE, SET_TYPE__START_POSITION, SET_TYPE__TYPE_END_POSITION, SET_TYPE__TYPE_START_POSITION, SET_TYPE_FEATURE_COUNT, TUPLE_TYPE, TUPLE_TYPE__ABSTRACT, TUPLE_TYPE__DEFAULT_VALUE, TUPLE_TYPE__EALL_ATTRIBUTES, TUPLE_TYPE__EALL_CONTAINMENTS, TUPLE_TYPE__EALL_GENERIC_SUPER_TYPES, TUPLE_TYPE__EALL_OPERATIONS, TUPLE_TYPE__EALL_REFERENCES, TUPLE_TYPE__EALL_STRUCTURAL_FEATURES, TUPLE_TYPE__EALL_SUPER_TYPES, TUPLE_TYPE__EANNOTATIONS, TUPLE_TYPE__EATTRIBUTES, TUPLE_TYPE__EGENERIC_SUPER_TYPES, TUPLE_TYPE__EID_ATTRIBUTE, TUPLE_TYPE__EOPERATIONS, TUPLE_TYPE__EPACKAGE, TUPLE_TYPE__EREFERENCES, TUPLE_TYPE__ESTRUCTURAL_FEATURES, TUPLE_TYPE__ESUPER_TYPES, TUPLE_TYPE__ETYPE_PARAMETERS, TUPLE_TYPE__INSTANCE_CLASS, TUPLE_TYPE__INSTANCE_CLASS_NAME, TUPLE_TYPE__INSTANCE_TYPE_NAME, TUPLE_TYPE__INTERFACE, TUPLE_TYPE__NAME, TUPLE_TYPE_FEATURE_COUNT, TYPE_TYPE, TYPE_TYPE__DEFAULT_VALUE, TYPE_TYPE__EANNOTATIONS, TYPE_TYPE__EPACKAGE, TYPE_TYPE__ETYPE_PARAMETERS, TYPE_TYPE__INSTANCE_CLASS, TYPE_TYPE__INSTANCE_CLASS_NAME, TYPE_TYPE__INSTANCE_TYPE_NAME, TYPE_TYPE__NAME, TYPE_TYPE_FEATURE_COUNT, VOID_TYPE, VOID_TYPE__DEFAULT_VALUE, VOID_TYPE__EANNOTATIONS, VOID_TYPE__EPACKAGE, VOID_TYPE__ETYPE_PARAMETERS, VOID_TYPE__INSTANCE_CLASS, VOID_TYPE__INSTANCE_CLASS_NAME, VOID_TYPE__INSTANCE_TYPE_NAME, VOID_TYPE__NAME, VOID_TYPE_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EClass` `getAnyType()`
`EClass` `getBagType()`
`EReference` `getCollectionType_ElementType()`
`EAttribute` `getCollectionType_Kind()`
`EClass` `getCollectionType()`
`EClass` `getElementType()`
`EClass` `getInvalidType()`
`EReference` `getMessageType_ReferredOperation()`
`EReference` `getMessageType_ReferredSignal()`
`EClass` `getMessageType()`
`EClass` `getOrderedSetType()`
`EClass` `getPrimitiveBoolean()`
`EClass` `getPrimitiveInteger()`
`EClass` `getPrimitiveReal()`
`EClass` `getPrimitiveString()`
`EClass` `getPrimitiveType()`
`EClass` `getSequenceType()`
`EClass` `getSetType()`
`EClass` `getTupleType()`
`TypesFactory` `getTypesFactory()`
`EClass` `getTypeType()`
`EClass` `getVoidType()`
`static TypesPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### copyright

    public static final String copyright

  See Also:
    Constant Field Values

Method Detail

### init

    public static TypesPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `TypesPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getAnyType

    public EClass getAnyType()

  Specified by:
    `getAnyType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Any Type'.
  See Also:
    `AnyType`

### getBagType

    public EClass getBagType()

  Specified by:
    `getBagType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Bag Type'.
  See Also:
    `BagType`

### getCollectionType

    public EClass getCollectionType()

  Specified by:
    `getCollectionType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Collection Type'.
  See Also:
    `CollectionType`

### getCollectionType_ElementType

    public EReference getCollectionType_ElementType()

  Specified by:
    `getCollectionType_ElementType` in interface `TypesPackage`
  Returns:
    the meta object for the reference 'Element Type'.
  See Also:
    `CollectionType.getElementType()`, `TypesPackage.getCollectionType()`

### getCollectionType_Kind

    public EAttribute getCollectionType_Kind()

  Specified by:
    `getCollectionType_Kind` in interface `TypesPackage`
  Returns:
    the meta object for the attribute 'Kind'.
  See Also:
    `CollectionType.getKind()`, `TypesPackage.getCollectionType()`

### getOrderedSetType

    public EClass getOrderedSetType()

  Specified by:
    `getOrderedSetType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Ordered Set Type'.
  See Also:
    `OrderedSetType`

### getPrimitiveBoolean

    public EClass getPrimitiveBoolean()

  Specified by:
    `getPrimitiveBoolean` in interface `TypesPackage`
  Returns:
    the meta object for class 'Primitive Boolean'.
  See Also:
    `PrimitiveBoolean`

### getPrimitiveInteger

    public EClass getPrimitiveInteger()

  Specified by:
    `getPrimitiveInteger` in interface `TypesPackage`
  Returns:
    the meta object for class 'Primitive Integer'.
  See Also:
    `PrimitiveInteger`

### getPrimitiveReal

    public EClass getPrimitiveReal()

  Specified by:
    `getPrimitiveReal` in interface `TypesPackage`
  Returns:
    the meta object for class 'Primitive Real'.
  See Also:
    `PrimitiveReal`

### getPrimitiveString

    public EClass getPrimitiveString()

  Specified by:
    `getPrimitiveString` in interface `TypesPackage`
  Returns:
    the meta object for class 'Primitive String'.
  See Also:
    `PrimitiveString`

### getPrimitiveType

    public EClass getPrimitiveType()

  Specified by:
    `getPrimitiveType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Primitive Type'.
  See Also:
    `PrimitiveType`

### getSequenceType

    public EClass getSequenceType()

  Specified by:
    `getSequenceType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Sequence Type'.
  See Also:
    `SequenceType`

### getSetType

    public EClass getSetType()

  Specified by:
    `getSetType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Set Type'.
  See Also:
    `SetType`

### getTupleType

    public EClass getTupleType()

  Specified by:
    `getTupleType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Tuple Type'.
  See Also:
    `TupleType`

### getVoidType

    public EClass getVoidType()

  Specified by:
    `getVoidType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Void Type'.
  See Also:
    `VoidType`

### getMessageType

    public EClass getMessageType()

  Specified by:
    `getMessageType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Message Type'.
  See Also:
    `MessageType`

### getMessageType_ReferredSignal

    public EReference getMessageType_ReferredSignal()

  Specified by:
    `getMessageType_ReferredSignal` in interface `TypesPackage`
  Returns:
    the meta object for the reference 'Referred Signal'.
  See Also:
    `MessageType.getReferredSignal()`, `TypesPackage.getMessageType()`

### getElementType

    public EClass getElementType()

  Specified by:
    `getElementType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Element Type'.
  See Also:
    `ElementType`

### getInvalidType

    public EClass getInvalidType()

  Specified by:
    `getInvalidType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Invalid Type'.
  See Also:
    `InvalidType`

### getTypeType

    public EClass getTypeType()

  Specified by:
    `getTypeType` in interface `TypesPackage`
  Returns:
    the meta object for class 'Type Type'.
  See Also:
    `TypeType`

### getMessageType_ReferredOperation

    public EReference getMessageType_ReferredOperation()

  Specified by:
    `getMessageType_ReferredOperation` in interface `TypesPackage`
  Returns:
    the meta object for the reference 'Referred Operation'.
  See Also:
    `MessageType.getReferredOperation()`, `TypesPackage.getMessageType()`

### getTypesFactory

    public TypesFactory getTypesFactory()

  Specified by:
    `getTypesFactory` in interface `TypesPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.